Page MenuHomePhabricator

beta-recompile-math-texvc-eqiad job fails with "/usr/local/bin/scap-recompile: No such file or directory"
Closed, ResolvedPublic

Description

See https://integration.wikimedia.org/ci/job/beta-recompile-math-texvc-eqiad/ job fails since build 291

00:00:00.771 Building remotely on deployment-bastion.eqiad
..
00:00:02.277 Recompiling texvc as user 'mwdeploy'
00:00:02.277 + sudo -u mwdeploy /bin/bash /usr/local/bin/scap-recompile
00:00:02.323 /bin/bash: /usr/local/bin/scap-recompile: No such file or directory

Details

Related Gerrit Patches:
integration/config : masterDisable beta-recompile-math-texvc-eqiad

Event Timeline

Physikerwelt raised the priority of this task from to Needs Triage.
Physikerwelt updated the task description. (Show Details)
Physikerwelt added subscribers: Physikerwelt, hashar.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 1 2015, 11:35 AM
Krinkle renamed this task from beta-recompile-math-texvc-eqiad fails to beta-recompile-math-texvc-eqiad job fails with "/usr/local/bin/scap-recompile: No such file or directory".Mar 2 2015, 1:59 PM
Krinkle updated the task description. (Show Details)
Krinkle set Security to None.
Krinkle added a subscriber: Krinkle.

Looks like deployment-bastion is missing the scap-recompile deployment tool. CC-ing Beta-Cluster-Infrastructure for information.

There is still a symlink on deployment-bastion:

/usr/local/bin/scap-recompile -> /srv/deployment/scap/scap/bin/scap-recompile

The target is automatically updated via a cronjob apparently, which is fine. Looking at mediawiki/tools/scap.git , the script has been removed with https://gerrit.wikimedia.org/r/#/c/186808/ Kill scap-recompile with fire. The reason being we no more compile texvc on the deploy host. I have no idea how its is compiled though.

hashar triaged this task as Medium priority.Mar 2 2015, 8:54 PM
hashar moved this task from To Triage to Backlog on the Beta-Cluster-Infrastructure board.
bd808 added a subscriber: bd808.Mar 2 2015, 8:57 PM

There is a deb package that is used in production:

$ apt-cache show mediawiki-math-texvc
Package: mediawiki-math-texvc
Source: mediawiki-math
Version: 2:1.0+git20140526-1
Architecture: amd64
Maintainer: Mediawiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
Installed-Size: 972
Depends: libc6 (>= 2.14), texlive-latex-base, ghostscript, imagemagick, texlive-latex-extra
Recommends: mediawiki-extensions-math, latex-cjk-all
Conflicts: mediawiki-math (<< 1:1.18)
Replaces: mediawiki-math (<< 1:1.18)
Homepage: http://www.mediawiki.org/wiki/Extension:Math
Priority: optional
Section: web
Filename: pool/main/m/mediawiki-math/mediawiki-math-texvc_1.0+git20140526-1_amd64.deb
Size: 318326
SHA256: eacd0cf6e160ecd039306f3862e538d4a53d43acecfdb3fbd4ef433fc2227e6d
SHA1: 44ee801735e5ee7d4cb6aa017c3b4a8c96f80725
MD5sum: 67c47b947f0cd8ec966a73f86be4cae5
Description: math rendering plugin for MediaWiki (texvc binary files)
 MediaWiki is a wiki engine (a program for creating a collaboratively edited
 website). It is designed to handle heavy websites containing library-like
 document collections, and supports user uploads of images/sounds, multilingual
 content, TOC autogeneration, ISBN links, etc.
 .
 Moreover, it keeps track of changes, so users can receive notifications, view
 diffs and revert edits. This system has many other features and can easily be
 extended.
 .
 This package contains the texvc binary required by the math rendering plugin.
bd808 added a comment.Mar 2 2015, 8:58 PM

The old script from https://gerrit.wikimedia.org/r/#/c/186808/1/bin/scap-recompile,unified should probably be put into a CI related repository if needed for a Jenkins job.

Physikerwelt added a subscriber: cscott.EditedMar 5 2015, 2:19 PM

texvc in master has diverged from deb package. @cscott did some improvements to texvc while developing texvcjs

Physikerwelt moved this task from Incoming to Next-up on the Math board.Mar 5 2015, 2:20 PM

FWIW the original context for this is T47076, I tend to agree with the rationale there. not sure how to best point people at the deb package when texvc is changed in master

texvc is not changed frequently and hopefully will disappear soon
However, the jenkins error is still present:
https://integration.wikimedia.org/ci/job/beta-recompile-math-texvc-eqiad/309/console

Krinkle raised the priority of this task from Medium to High.Apr 13 2015, 4:56 PM
Krinkle moved this task from Untriaged to Backlog on the Continuous-Integration-Infrastructure board.
Krinkle added a subscriber: greg.

So is texvc still required now that we have mathoid? I assume beta is using that now...

hashar lowered the priority of this task from High to Low.Jul 13 2015, 2:13 PM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 13 2015, 2:13 PM

by the way I agree on low priority of this task.
Following the argumentation of @Legoktm texvc can be removed after T74240 is resolved.

Change 229376 had a related patch set uploaded (by Tim Landscheidt):
Temporarily disable beta-recompile-math-texvc-eqiad

https://gerrit.wikimedia.org/r/229376

Change 229376 merged by jenkins-bot:
Disable beta-recompile-math-texvc-eqiad

https://gerrit.wikimedia.org/r/229376

Legoktm closed this task as Resolved.Aug 11 2015, 2:03 AM
Legoktm assigned this task to scfc.